#
# SCons check for maintainer mode
#
# Version 1.0
# 16-Jun-2009
#

from SCons.Script import ARGUMENTS

def checkForMaintainerMode(conf):
    """Check if user wants to enable maintainer compilation mode."""
    conf.Message("checking whether to enable maintainer mode... ")
    if ARGUMENTS.get('maintainer-mode', 0) or \
       ARGUMENTS.get('enable-maintainer-mode', 0):
			  conf.Result(1)
			  conf.env.Append(CCFLAGS = '-O0')
			  conf.env.Append(CPPFLAGS = '-DMAINTAINER_MODE')
    else:
			  conf.env.Append(CCFLAGS = '-O')
			  conf.Result(0)
