#
# SCons C language related tests
#
# Version 1.0
# 16-Jun-2009
#

def checkForVariable(conf,variable,include):
    """Checks if variable is defined in given include statements."""
    conf.Message("checking if variable %s is defined... " % variable)
    rc = conf.TryCompile("""
%s
void dummy(void);
void dummy(void) { %s = 0; }
"""% (include,variable),'.c')
    conf.Result(rc)
    return rc
